# InvalidCommandArgument (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: InvalidCommandArgument

Package co.aikar.commands

# Class InvalidCommandArgument

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
co.aikar.commands.InvalidCommandArgument

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConditionFailedException`, `ShowCommandHelp`

public class InvalidCommandArgument extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidCommandArgument()`
`InvalidCommandArgument(boolean showSyntax)`
`InvalidCommandArgument(co.aikar.locales.MessageKey key, boolean showSyntax, String... replacements)`
`InvalidCommandArgument(co.aikar.locales.MessageKeyProvider key, boolean showSyntax, String... replacements)`
`InvalidCommandArgument(co.aikar.locales.MessageKeyProvider key, String... replacements)`
`InvalidCommandArgument(co.aikar.locales.MessageKey key, String... replacements)`
`InvalidCommandArgument(String message)`
`InvalidCommandArgument(String message, boolean showSyntax)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidCommandArgument

public InvalidCommandArgument()

### InvalidCommandArgument

public InvalidCommandArgument (boolean showSyntax)

### InvalidCommandArgument

public InvalidCommandArgument (co.aikar.locales.MessageKeyProvider key, String... replacements)

### InvalidCommandArgument

public InvalidCommandArgument (co.aikar.locales.MessageKey key, String... replacements)

### InvalidCommandArgument

public InvalidCommandArgument (co.aikar.locales.MessageKeyProvider key, boolean showSyntax, String... replacements)

### InvalidCommandArgument

public InvalidCommandArgument (co.aikar.locales.MessageKey key, boolean showSyntax, String... replacements)

### InvalidCommandArgument

public InvalidCommandArgument (String message)

### InvalidCommandArgument

public InvalidCommandArgument (String message, boolean showSyntax)